LORDER(1)

NAME
lorder - list dependencies for object files

SYNOPSIS
lorder file ...

DESCRIPTION
The lorder utility uses nm(1) to determine interdependencies in the list of object files specified on the command line. Lorder outputs a list of file names where the first file contains a symbol which is defined by the second file.

The output is normally used with tsort(1) when a library is created to determine the optimum ordering of the object modules so that all references may be resolved in a single pass of the loader.

EXAMPLES

    ar cr library.a `lorder ${OBJS} | tsort`

SEE ALSO
ar(1), ld(1), nm(1), ranlib(1), tsort(1)

HISTORY
An lorder utility appeared in AT&T UNIX.